Subject: bug#61602: [PATCH]: comint-mode redirection

From: Rah Guzar <[email-masked]>
Date: Fri, 12 May 2023 09:25:45 +0200

Hi Eli,

Eli Zaretskii <[email-masked]> writes:

>> >  This variable is only used if the variable
>> > -`comint-use-prompt-regexp' is non-nil.
>> > +`comint-use-prompt-regexp' is non-nil.  The exception to
>> > +this is redirection.  Many commands including
>> > +`comint-redirect-send-command-to-process' use it as
>> > +`comint-redirect-finished-regexp'.
>>
>> This paragraph sounds a bit weird, but I don't know how to reword it.
>> Maybe someone else can help.
>
> I'm not sure the addition is necessary in the first place.  What is
> its purpose? why is it useful to mention those exceptional cases?

I think it is useful for those writing a comint derived mode who might
be tempted to not set 'comint-prompt-regexp' since it is going to be
unused by default. Redirection is an important enough facility in
my opinion for this to be pointed out.